Subject: Re: [Dots] draft-ietf-dots-filter-control: acl updates

From: kaname nishizuka <[email-masked]>
Date: Wed, 5 Jun 2019 10:17:57 +0900

Yes.

But if a new draft give us a solid interface of retrieving acl status (and its stats), it doesn't motivate me to implement observe stuff here.

regards,
Kaname

On 2019/05/24 21:52, [email-masked] wrote:
>
> Hi Kaname,
>
> The same notification can be sent many times to be sure the notification is successfully delivered.
>
> In both modes:
>
> ·the server needs to track changes on acls bound to a DOTS client. How the tracking is done is implementation-specific.
>
> ·the client needs to be prepared to receive acl attributes in the response.
>
> No?
>
> Cheers,
>
> Med
>
> *De :*Dots [mailto:[email-masked]] *De la part de* kaname nishizuka
> *Envoyé :* vendredi 24 mai 2019 11:03
> *À :*BOUCADAIR Mohamed TGI/OLN; Jon Shallow; [email-masked]
> *Objet :* Re: [Dots] draft-ietf-dots-filter-control: acl updates
>
>
> Right, acl stats is not related to the excerpt spec.
>
> But I'm not fully convinced that the observe of the 'activation-type' will be used.
> Notification of the current state of 'activation-type' can be lost in attack time even though it's very important if an external action on DOTS server is unintended by the DOTS client.
> So I prefer to use a polling request in 4.4.2.2.
> It's an implementation specific, but I've just been wondering if there is an alternate to drop the specification of 'activation-type' observation.
>
> regards,
> Kaname
>
> On 2019/05/17 20:16, [email-masked] <mailto:[email-masked]> wrote:
>
>     Re-,
>
>     That excerpt from the filter-control draft is not related to acl stats.
>
>     Can you please clarify what would be the implications on the filter-control draft if acl-stats are allowed to be returned in GET responses?
>
>     Thank you.
>
>     Cheers,
>
>     Med
>
>     *De :*Dots [mailto:[email-masked]] *De la part de* kaname nishizuka
>     *Envoyé :* vendredi 17 mai 2019 12:00
>     *À :* Jon Shallow; BOUCADAIR Mohamed TGI/OLN; [email-masked] <mailto:[email-masked]>
>     *Objet :* Re: [Dots] draft-ietf-dots-filter-control: acl updates
>
>     Hi,
>
>     As the conclusion of the discussion about ACL Stats issue, there will be a draft about retrieving ACL Stats over the signal-channel WITHOUT respect to whether ACLs are activated via signal-filter-control.
>
>     I'd like to note that when it came out, the GET response spec in signal-filter-control would be subject to change.
>     Basically, this current specification introduces implementation complexity.
>     >    If, during an active mitigation, the 'activation-type' is changed at
>     >    the DOTS server (e.g., as a result of an external action) for an ACL
>     >    bound to a DOTS client, the DOTS server notifies that DOTS client
>     >    with the change by including the corresponding ACL parameters in an
>     >    asynchronous notification (the DOTS client is observing the active
>     >    mitigation) or in a response to a polling request (Section 4.4.2.2 of
>     >    [I-D.ietf-dots-signal-channel]).
>
>     regards,
>     Kaname
>
>
>     On 2019/05/15 22:52, Jon Shallow wrote:
>
>         Hi Med,
>
>         I think that covers it.  Now I have access to my emails, it was the PUT that I was thinking about, not the GET.
>
>         Regards
>
>         Jon
>
>         *From:*Dots [mailto: [email-masked] <mailto:[email-masked]>] *On Behalf Of [email-masked] <mailto:[email-masked]>
>         *Sent:* 15 May 2019 12:22
>         *To:* Jon Shallow; [email-masked] <mailto:[email-masked]>
>         *Subject:* Re: [Dots] draft-ietf-dots-filter-control: acl updates
>
>         Re-,
>
>         Noted. Thanks.
>
>         With regards to your second point, we do have the following in the draft:
>
>            If, during an active mitigation, the 'activation-type' is changed at
>
>            the DOTS server (e.g., as a result of an external action) for an ACL
>
>            bound to a DOTS client, the DOTS server notifies that DOTS client
>
>            with the change by including the corresponding ACL parameters in an
>
>            asynchronous notification (the DOTS client is observing the active
>
>            mitigation) or in a response to a polling request (Section 4.4.2.2 of
>
>            [I-D.ietf-dots-signal-channel]).
>
>         Do we need to say more?
>
>         Cheers,
>
>         Med
>
>         *De :*Jon Shallow [mailto:[email-masked]]
>         *Envoyé :* mercredi 15 mai 2019 11:56
>         *À :* BOUCADAIR Mohamed TGI/OLN; kaname nishizuka; Konda, Tirumaleswar Reddy; [email-masked] <mailto:[email-masked]>
>         *Objet :* RE: [Dots] draft-ietf-dots-filter-control: acl updates
>
>         Hi Guys,
>
>         I concur with (2).
>
>         I think that we have the ‘mid’ wrap properly covered (more likely to occur now with lots of ‘tweaks’ to the mitigation when trying out different acl-lists).
>
>         With (2) changing the activation-types, it is possible that some packets may not get through, and so an activation-type may be in an unexpected state.  I know  that we encourage regular monitor of the status of a mitigation (by signal channel observing), but  am unable to find as to whether acl-list etc. is returned on signal channel GET response (there are no GET signal channel response examples).  There was discussion about this on the mailing list, but it did not get a final resolution.
>
>         Regards
>
>         Jon
>
>         *From:*Dots [mailto: [email-masked] <mailto:[email-masked]>] *On Behalf Of [email-masked] <mailto:[email-masked]>
>         *Sent:* 15 May 2019 09:05
>         *To:* kaname nishizuka; Konda, Tirumaleswar Reddy; [email-masked] <mailto:[email-masked]>
>         *Subject:* Re: [Dots] draft-ietf-dots-filter-control: acl updates
>
>         Re-,
>
>         Thank you for sharing your thoughts.
>
>         -00 allows to use both a new or existing ‘mid’. With (2) taken into account, we need the following change:
>
>         OLD:
>
>            A DOTS client may include acl-* attributes in a mitigation request
>
>         having a new or an existing 'mid'.  When acl-* attributes are to be
>
>         included in a mitigation request with an existing 'mid', the DOTS
>
>         client MUST repeat all the other parameters as sent in the original
>
>         mitigation request (i.e., having that 'mid') apart from a possible
>
>         change to the lifetime parameter value.
>
>         NEW:
>
>            During an attack time, DOTS clients may include 'acl-list', 'acl-
>
>            name', and 'activation-type' attributes in a mitigation request.
>
>            This request may be the initial mitigation request for a given
>
>            mitigation scope or a new one overriding an existing request.  In
>
>            both case, a new 'mid' MUST be used.
>
>            As the attack evolves, DOTS clients can adjust the 'activation-type'
>
>            of an ACL conveyed in a mitigation request or control other filters
>
>            as necessary.  This can be achieved by sending a PUT request with a
>
>            new 'mid' value.
>
>         Cheers,
>
>         Med
>
>         *De :*kaname nishizuka [mailto:[email-masked]]
>         *Envoyé :* mercredi 15 mai 2019 09:59
>         *À :* BOUCADAIR Mohamed TGI/OLN; Konda, Tirumaleswar Reddy; [email-masked] <mailto:[email-masked]>
>         *Objet :* Re: [Dots] draft-ietf-dots-filter-control: acl updates
>
>         Hi Tiru, Med,
>
>         I agree with Tiru.
>
>         > FWIW, the changes to implement (2) can be seen at:
>         >
>         > https://github.com/boucadair/filter-control/blob/master/wdiff%20draft-ietf-dots-signal-filter-control-00.txt%20draft-ietf-dots-signal-filter-control-01.pdf
>         >
>         Could you specify where it is?
>         (2) is taken account as the current version of the draft allows to include acl attributes in requests with new ‘mid’s.
>
>         regards,
>         Kaname
>
>         On 2019/05/15 16:28, [email-masked] <mailto:[email-masked]> wrote:
>
>             Hi Tiru,
>
>             Agree.
>
>             Looking forward to hear  more.
>
>             FWIW, the changes to implement (2) can be seen at:
>
>             https://github.com/boucadair/filter-control/blob/master/wdiff%20draft-ietf-dots-signal-filter-control-00.txt%20draft-ietf-dots-signal-filter-control-01.pdf
>
>             Cheers,
>
>             Med
>
>             *De :*Konda, Tirumaleswar Reddy [mailto:[email-masked]]
>             *Envoyé :* mercredi 15 mai 2019 09:11
>             *À :* BOUCADAIR Mohamed TGI/OLN; [email-masked] <mailto:[email-masked]>
>             *Objet :* RE: draft-ietf-dots-filter-control: acl updates
>
>             I don’t think approach (1) is a good idea because of out of order delivery of packets. Further, the anti-relay detection technique in DTLS uses sliding windows procedure. An MITM can possibility cache and drop the packets from the client, and replay the cached packets that fall within the sliding window. For instance in the below example, the server could receive packets in the order T0, T4, T1, T2.
>
>             Monotonically increasing ‘mid’ is the only defense against this mechanism, and I don’t think the signal channel draft needs any update.
>
>             Cheers,
>
>             -Tiru
>
>             *From:*Dots <[email-masked]> <mailto:[email-masked]> *On Behalf Of [email-masked] <mailto:[email-masked]>
>             *Sent:* Tuesday, May 14, 2019 8:14 PM
>             *To:* [email-masked] <mailto:[email-masked]>
>             *Subject:* [Dots] draft-ietf-dots-filter-control: acl updates
>
>             *CAUTION*:External email. Do not click links or open attachments unless you recognize the sender and know the content is safe.
>
>             ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
>             Hi all,
>
>             The current version of the draft allows to include acl attributes in requests with new or existing ‘mid’s. By “existing mid’, we meant an existing request which does not include acl attributes when the request was initially created. For such requests, the activation-type of the same acl can be changed as the attack evolve or even control other ACLs. This is supposed to be covered by this text:
>
>             When acl-* attributes are to be
>
>             included in a mitigation request with an existing 'mid', the DOTS
>
>             client MUST repeat all the other parameters as sent in the original
>
>             mitigation request (i.e., having that 'mid') apart from a possible
>
>             change to the lifetime parameter value.
>
>             For example:
>
>             T0: R(mid)
>
>             T1: R(mid, acl1, activation-type=value1)
>
>             T2: R(mid, acl2, activation-type=value2)
>
>             T3: R(mid, acl1, activation-type=value2)
>
>             T4: R(mid)
>
>             ...
>
>             Now, if acl attributes are included in a request with a new mid, we need to specify how activation-type (and acl-list in general) can be updated. We do have two options:
>
>              1. Update the draft with this NEW text:
>
>                If 'acl-list', 'acl-name', and 'activation-type' attributes are
>
>                included in the initial mitigation request (that is, a mitigation
>
>                request with a new 'mid'), the DOTS client may update the
>
>                'acl-list' as an active attack evolves.  To do so, the DOTS
>
>                client MUST repeat all the other parameters as sent in the original
>
>                mitigation request apart from a possible change to the 'acl-list’
>
>                and the lifetime parameter values.
>
>                And the signal channel spec as follows:
>
>                For a mitigation request to continue beyond the initial negotiated
>
>                lifetime, the DOTS client has to refresh the current mitigation
>
>                request by sending a new PUT request..  This PUT request MUST use the
>
>                same 'mid' value, and MUST repeat all the other parameters as sent in
>
>                the original mitigation request apart from a possible change to the
>
>                lifetime parameter value or other changes to attributes defined in future extensions.
>
>                                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>
>             For example:
>
>             T0: R(mid, acl1, activation-type=value1)
>
>             T1: R(mid, acl2, activation-type=value2)
>
>             T2: R(mid, acl1, activation-type=value2)
>
>             ..
>
>              2. Require a new mid each time a client has to insert acl attributes.
>
>             For example:
>
>             T0: R(mid0)
>
>             T1: R(mid1, acl1, activation-type=value1)
>
>             T2: R(mid2, acl2, activation-type=value2)
>
>             T3: R(mid3, acl1, activation-type=value2)
>
>             ...
>
>             Thoughts?
>
>             Cheers,
>
>             Med
>
>             _______________________________________________
>
>             Dots mailing list
>
>             [email-masked]  <mailto:[email-masked]>
>
>             https://www.ietf.org/mailman/listinfo/dots
>
>
>
>
>         _______________________________________________
>
>         Dots mailing list
>
>         [email-masked]  <mailto:[email-masked]>
>
>         https://www.ietf.org/mailman/listinfo/dots
>
>
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots